<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    <link rel="icon"
          href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 128 128%22><text y=%221.2em%22 font-size=%2296%22>⚫️</text></svg>">
    {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
    {% endblock %}
    <link rel="stylesheet" href="{{ asset('asset/css/bootstrap.css') }}">
    <link rel="stylesheet" href="{{ asset('asset/css/style.css') }}">

    {% block javascripts %}
        {{ encore_entry_script_tags('app') }}
    {% endblock %}
    <script src="{{ asset('asset/js/application.js') }}"></script>

    <script src="https://kit.fontawesome.com/6ec4d9a4d4.js" crossorigin="anonymous"></script>
    <script src="{{ asset('asset/js/bootstrap.js') }}" crossorigin="anonymous"></script>
</head>
<body class="container-fluid">
<header>
    <nav class="navbar navbar-expand-lg bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="{{ path('app_index')}}"><img src="{{ asset('asset/images/logo-P6.png') }}" alt="" class="header-logo"></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse justify-content-end" id="navbarNavAltMarkup">
                <div class="navbar-nav d-flex align-items-center">
                    <a class="nav-link active" aria-current="page" href="/">Accueil</a>
                    {% if app.user %}
                        <a class="nav-link" href="/deconnexion">Deconnexion</a>
                            <div class="d-flex flex-column justify-content-center align-items-center">
                                <img src="{{ asset('uploads/' ~ app.user.image.name) }}" alt="" class="comment-user-img">
                                <div>{{ app.user.username }}</div>
                            </div>

                    {% else %}
                        <a class="nav-link" href="/connexion">Connexion</a>
                        <a class="nav-link" href="/inscription">Inscription</a>
                    {% endif %}



                </div>
            </div>
        </div>
    </nav>
</header>

{#<div class="header">

    <nav class="header-nav">
        <img src="{{ asset('asset/images/logo-P6.png') }}" alt="" class="header-logo">
        <a href="/">Accueil</a>
        <a href="/tricks">Tricks</a>
        <a href="/connexion">Connexion</a>
        <a href="/inscription">S'inscrire</a>
    </nav>
</div>#}


{% block body %}{% endblock %}

{#
<footer>
    <p>Copyright &#169; 2022</p>
</footer>#}
</body>
</html>
